%global forgeurl https://gitlab.com/fedora/sigs/go/go2rpm
%define tag v%{version}

Name:           go2rpm
Version:        1.13.1^3.20240630.0f29f05
%forgemeta
Release:        1
Summary:        Convert Go packages to RPM

License:        MIT
URL:            %{forgeurl}
Source:         go2rpm-1.13.1^3.20240630.0f29f05.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
Requires:       askalono-cli
Requires:       compiler(go-compiler)
# Recommend go2rpm all extra that includes packages needed for the vendor
# profile
Recommends:     go2rpm+all

%description
Convert Go packages to RPM.

%prep
%autosetup 

%generate_buildrequires
%pyproject_buildrequires -x all,test

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files %{name}

%check
%pytest -m "not network"

%files  -f %{pyproject_files}
%license LICENSE
%doc README.md
%doc NEWS.md
%{_bindir}/%{name}

%pyproject_extras_subpkg -n go2rpm all vendor

%changelog
%autochangelog
* Sun Jun 30 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.13.1^3.20240630.0f29f05-1
- Don't use globs in generated specs

* Fri Jun 14 2024 Maxwell G <maxwell@gtmx.me> - 1.13.1^2.20240614.86b282f-1
- go2rpm.spec: bump package version

* Fri Jun 14 2024 Maxwell G <maxwell@gtmx.me> - 1.13.1^1.20240614.a3455a2-1
- Post release version bump

